<?php defined('SYSPATH') or die('No direct script access.');

class Payments_SerweryGier
{
	protected $rates  = array( 
		7143 => array( 1.23,  1.00, 'MPA.SG1' ),
		72550 => array( 2.46,  2.00, 'MPA.SG2' ),
		73550 => array( 3.69,  3.00, 'MPA.SG3' ),
		74550 => array( 4.92,  4.00, 'MPA.SG4' ),
		75550 => array( 6.15,  5.00, 'MPA.SG5' ),
		76550 => array( 7.38,  6.00, 'MPA.SG6' ),
		79550 => array( 11.07,  9.00, 'MPA.SG9' ), 
		91909 => array( 23.37,  19.00, 'MPA.SG19' ), 
		92505 => array( 30.75,  25.00, 'MPA.SG30' ) 
	);
	
	/**
	 * Sprawdza poprawność kodu sms...
	 *
	 * @param  $sms    string kod sms
	 * @param  $numer  string opcjonalnie, numer na który został wysłany sms
	 * @param  $code   string opcjonalnie, treść smsa jaką wysłał użytkownik
	 *
	 * @access public
	 * @return float Kwota jaką ma zostać zasilony portfel
	 */
	public function check( $sms, $numer = NULL, $code = NULL ) {
		$user	= Core::setting( ) -> get( 'serwerygier_key_api' );
		
		$url = curl_init( );
		curl_setopt( $url, CURLOPT_URL, 'http://panel.serwerygier.com/api/PaymentWidget.html?sid='.$user );
		curl_setopt( $url, CURLOPT_POST, 1 );
		curl_setopt( $url, CURLOPT_POSTFIELDS, array(
			'sid' 		=> $user,
			'code' 		=> $sms,
			'comment' 	=> 'API by byCZUS',
			'feature' 	=> 'platnosciOnlineSMS',
			'number' 	=> $this -> rates[ $numer ][ 2 ]
		) );
		
		curl_setopt( $url, CURLOPT_RETURNTRANSFER, true ); 
		$exec_data = curl_exec( $url );
		curl_close( $url );
		
		$json = json_decode( $exec_data, true );
		
		if( $json[ 'status' ] == 'ok' )
			return array( (float)$json[ 'amount' ], 'Konto zostało pomyślnie doładowane' );
			
		return array( 0.0, 'Wystąpił błąd...' );
	}

	/**
	 * Stawki sms
	 *
	 *
	 * @access public
	 * @return array zwraca tablice ze stawkami sms(numer, koszt, tresc)
	 */
	public function rates( ) {
		foreach( $this -> rates as $key => $rate ) {
			$_return[ ] = array(
				'numer'    => $key,
				'text_sms' => $rate[ 2 ],
				'cost'	   => $rate[ 0 ],
				'amount'   => $rate[ 1 ] 
			);
		}
		
		return $_return;
	}
}

?>